org.springframework.core

## Class StandardReflectionParameterNameDiscoverer

- java.lang.Object
- - org.springframework.core.StandardReflectionParameterNameDiscoverer

- All Implemented Interfaces:
    ParameterNameDiscoverer

      public class StandardReflectionParameterNameDiscoverer
      extends Object
      implements ParameterNameDiscoverer

  `ParameterNameDiscoverer` implementation which uses JDK 8's reflection facilities for introspecting parameter names (based on the "-parameters" compiler flag).
  Since:
    4.0
  Author:
    Juergen Hoeller
  See Also:
    `Parameter.getName()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardReflectionParameterNameDiscoverer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getParameterNames(Constructor<?> ctor)` Return parameter names for this constructor, or `null` if they cannot be determined.
    `String[]` | `getParameterNames(Method method)` Return parameter names for this method, or `null` if they cannot be determined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardReflectionParameterNameDiscoverer

          public StandardReflectionParameterNameDiscoverer()

  - ### Method Detail

    - #### getParameterNames

          public String[] getParameterNames(Method method)

      Description copied from interface: `ParameterNameDiscoverer`
      Return parameter names for this method, or `null` if they cannot be determined.
      Specified by:
        `getParameterNames` in interface `ParameterNameDiscoverer`
      Parameters:
        `method` - method to find parameter names for
      Returns:
        an array of parameter names if the names can be resolved, or `null` if they cannot

    - #### getParameterNames

          public String[] getParameterNames(Constructor<?> ctor)

      Description copied from interface: `ParameterNameDiscoverer`
      Return parameter names for this constructor, or `null` if they cannot be determined.
      Specified by:
        `getParameterNames` in interface `ParameterNameDiscoverer`
      Parameters:
        `ctor` - constructor to find parameter names for
      Returns:
        an array of parameter names if the names can be resolved, or `null` if they cannot